Deprecated: Function create_function() is deprecated in /home/neverfo4/public_html/fmpbo/include/parser.php on line 811

1 (edited by p2013125 2019-06-12 05:57:49)

Topic: Help with some error when compiling Neverball 1.5.x

I am currently using Kubuntu 19.04 and i get some error when i try to compile the source code.I don't know anything about C Programming so please help
Error:
clement@KubuntuWindowsPC:~/桌面/neverball-neverball-1.5.4$ make
scripts/version.sh: 8: scripts/version.sh: svnversion: not found
Will make a "devel" build of Neverball r.
cc -Wall -ansi -pedantic -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -U_GNU_SOURCE -I/usr/include/libpng16 -Ishare -DVERSION=\"r\" -DCONFIG_USER=\".neverball-dev\" -DCONFIG_DATA=\"./data\" -DCONFIG_LOCALE=\"./locale\" -DENABLE_NLS=1 -DNDEBUG -MM -MP -MF share/base_image.d -MT "share/base_image.o" share/base_image.c
cc -Wall -ansi -pedantic -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -U_GNU_SOURCE -I/usr/include/libpng16 -Ishare -DVERSION=\"r\" -DCONFIG_USER=\".neverball-dev\" -DCONFIG_DATA=\"./data\" -DCONFIG_LOCALE=\"./locale\" -DENABLE_NLS=1 -DNDEBUG -o share/base_image.o -c share/base_image.c
share/base_image.c: In function ‘image_load_png’:
share/base_image.c:97:45: warning: implicit declaration of function ‘png_sizeof’; did you mean ‘png_set_eXIf’? [-Wimplicit-function-declaration]
         if (!(bytep = png_malloc(readp, h * png_sizeof(png_bytep))))
                                                                                 ^~~~~~~~~~
                                             png_set_eXIf
share/base_image.c:97:56: error: expected expression before ‘png_bytep’
         if (!(bytep = png_malloc(readp, h * png_sizeof(png_bytep))))
                                                                                 ^~~~~~~~~
make: *** [Makefile:299: share/base_image.o] Error 1

I get this error when i try to compile Neverball 1.5.x

Currently focusing on some non-Neverball stuff.

2

Re: Help with some error when compiling Neverball 1.5.x

If you attempt to compile inside the SDL2 port, you need only the latest version of the game (not 1.5 or earlier).

Made with Microsoft Visual Studio 2019
Made with Msys2 for Windows 10